/**
 * All available formfactor definitions
 *
 * @public exported from `@promptbook/core`
 */
export declare const FORMFACTOR_DEFINITIONS: readonly [{
    readonly name: "GENERIC";
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/173";
    readonly pipelineInterface: {
        readonly inputParameterNames: readonly [];
        readonly outputParameterNames: readonly [];
    };
}, {
    readonly name: "CHATBOT";
    readonly aliasNames: readonly ["CHAT"];
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/174";
    readonly pipelineInterface: {
        readonly inputParameterNames: readonly ["previousTitle", "previousConversationSummary", "userMessage"];
        readonly outputParameterNames: readonly ["title", "conversationSummary", "chatbotResponse"];
    };
}, {
    readonly name: "TRANSLATOR";
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/175";
    readonly pipelineInterface: {
        readonly inputParameterNames: readonly ["inputMessage"];
        readonly outputParameterNames: readonly ["outputMessage"];
    };
}, {
    readonly name: "SHEETS";
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/176";
    readonly pipelineInterface: {
        readonly inputParameterNames: readonly ["inputSheet"];
        readonly outputParameterNames: readonly ["outputSheet"];
    };
}, {
    readonly name: "EXPERIMENTAL_MATCHER";
    readonly description: "@@@";
    readonly documentationUrl: "https://github.com/webgptorg/promptbook/discussions/177";
    readonly pipelineInterface: {
        readonly inputParameterNames: readonly [];
        readonly outputParameterNames: readonly [];
    };
}];
/**
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
